import sys
from twisted.internet import reactor, task

from autobahn.twisted.websocket import WebSocketServerProtocol

class InfiniteStream(WebSocketServerProtocol):
    def send_another_message(self):
        print("Sending!")
        self.sendMessage(b"x" * 1000000)

    def onConnect(self, request):
        self.loop = task.LoopingCall(self.send_another_message)
        # 100x / second
        self.loop.start(0.01)

if __name__ == "__main__":
   from autobahn.twisted.websocket import WebSocketServerFactory
   factory = WebSocketServerFactory()
   factory.protocol = InfiniteStream

   reactor.listenTCP(9000, factory)
   reactor.run()
